#ifndef __KYLIN_AI_GEN_AI_TEXT_CONFIG_H__
#define __KYLIN_AI_GEN_AI_TEXT_CONFIG_H__

#include <common/enums.h>
#include <common/macros.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef struct _ChatModelConfig ChatModelConfig;

AISDK_EXTERN
ChatModelConfig *chat_model_config_create();

AISDK_EXTERN
void chat_model_config_destroy(ChatModelConfig **config);

AISDK_EXTERN
void chat_model_config_set_name(ChatModelConfig *config, const char *name);

AISDK_EXTERN
void chat_model_config_set_top_k(ChatModelConfig *config, int top_k);

AISDK_EXTERN
void chat_model_config_set_deploy_type(ChatModelConfig *config,
                                       ModelDeployType type);

#ifdef __cplusplus
}
#endif

#endif  // __KYLIN_AI_GEN_AI_TEXT_CONFIG_H__
